#! /bin/sh
#----------------------------------------------------------------------------
# /tmp/install.sh - at installation
#
# Creation   :  2013-03-16 holbru
# Last update:  $Id: postinstall-at.sh 34752 2013-12-20 16:37:07Z hbfl $
#
# Copyright (c) 2013-2013 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# set package name
package_name=at

# ---------------------------------------------------------------------------
# generate symlinks
# ---------------------------------------------------------------------------

cd /usr/bin

rm -f atq
ln -sf at atq
rm -f atrm
ln -sf at atrm

chown daemon:daemon at
chmod 6555 at

# ---------------------------------------------------------------------------
# update-2.2.6
# ---------------------------------------------------------------------------
update_2_2_6 ()
{
cd  /etc/rc2.d

rm -f K??atd
rm -f S??atd

ln -sf ../init.d/atd K48atd

. /etc/config.d/base

if [ "${START_ATD}" = "yes" ]
then
    ln -sf ../init.d/atd S52atd

    /etc/init.d/atd restart
fi
}
# ---------------------------------------------------------------------------
# main
# ---------------------------------------------------------------------------

base_version=$(sed -e 's/[svn|cvs].*$//; s/\./_/g' /etc/version)

update_${base_version}

# remove filelist
rm -f /etc/filelist.d/${package_name}-files.txt

exit 0
# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
